Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAQPS

    java.lang.Object
      org.netlib.lapack.SLAQPS

    public class SLAQPS

extends java.lang.Object

    SLAQPS is a simplified interface to the JLAPACK routine slaqps.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAQPS computes a step of QR factorization with column pivoting
     *  of a real M-by-N matrix A by using Blas-3.  It tries to factorize
     *  NB columns from A starting from the row OFFSET+1, and updates all
     *  of the matrix with Blas-3 xGEMM.
     *
     *  In some cases, due to catastrophic cancellations, it cannot
     *  factorize NB columns.  Hence, the actual number of factorized
     *  columns is returned in KB.
     *
     *  Block A(1:OFFSET,1:N) is accordingly pivoted, but not factorized.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A. N >= 0
     *
     *  OFFSET  (input) INTEGER
     *          The number of rows of A that have been factorized in
     *          previous steps.
     *
     *  NB      (input) INTEGER
     *          The number of columns to factorize.
     *
     *  KB      (output) INTEGER
     *          The number of columns actually factorized.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the M-by-N matrix A.
     *          On exit, block A(OFFSET+1:M,1:KB) is the triangular
     *          factor obtained and block A(1:OFFSET,1:N) has been
     *          accordingly pivoted, but no factorized.
     *          The rest of the matrix, block A(OFFSET+1:M,KB+1:N) has
     *          been updated.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,M).
     *
     *  JPVT    (input/output) INTEGER array, dimension (N)
     *          JPVT(I) = K <==> Column K of the full matrix A has been
     *          permuted into position I in AP.
     *
     *  TAU     (output) REAL array, dimension (KB)
     *          The scalar factors of the elementary reflectors.
     *
     *  VN1     (input/output) REAL array, dimension (N)
     *          The vector with the partial column norms.
     *
     *  VN2     (input/output) REAL array, dimension (N)
     *          The vector with the exact column norms.
     *
     *  AUXV    (input/output) REAL array, dimension (NB)
     *          Auxiliar vector.
     *
     *  F       (input/output) REAL array, dimension (LDF,NB)
     *          Matrix F' = L*Y'*A.
     *
     *  LDF     (input) INTEGER
     *          The leading dimension of the array F. LDF >= max(1,N).
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *    G. Quintana-Orti, Depto. de Informatica, Universidad Jaime I, Spain
     *    X. Sun, Computer Science Dept., Duke University, USA
     *
     *  Partial column norm updating strategy modified by
     *    Z. Drmac and Z. Bujanovic, Dept. of Mathematics,
     *    University of Zagreb, Croatia.
     *    June 2006.
     *  For more details see LAPACK Working Note 176.
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAQPS()`

Method Summary
`static void` | `SLAQPS(int m, int n, int offset, int nb, intW kb, float[][] a, int[] jpvt, float[] tau, float[] vn1, float[] vn2, float[] auxv, float[][] f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAQPS

    public SLAQPS()

Method Detail

### SLAQPS

    public static void SLAQPS(int m,
                              int n,
                              int offset,
                              int nb,
                              intW kb,
                              float[][] a,
                              int[] jpvt,
                              float[] tau,
                              float[] vn1,
                              float[] vn2,
                              float[] auxv,
                              float[][] f)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD